package com.reproduce.error;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.*;

@Entity
@Access(AccessType.PROPERTY)
public class ChartEntity implements Serializable {

    private TimePeriod id;
    private List<PointEntity> points;

    public ChartEntity() {
        super();
        this.points = new ArrayList<PointEntity>();
    }

    public ChartEntity(TimePeriod id) {
        this();
        this.id = id;
    }

    @EmbeddedId
    public TimePeriod getId() {
        return id;
    }

    public void setId(TimePeriod id) {
        this.id = id;
    }

    @OneToMany(mappedBy = "chart", cascade = CascadeType.ALL, fetch = FetchType.EAGER, orphanRemoval = true)
    public List<PointEntity> getPoints() {
        return points;
    }

    public void setPoints(List<PointEntity> points) {
        this.points = points;
    }

    public void addPoint(PointEntity p) {
        getPoints().add(p);
        p.setChart(this);
    }
}
