package com.reproduce.error;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
@Access(AccessType.PROPERTY)
public class MomentEntity implements Serializable {

    private List<PointEntity> points;
    private Long dateTime;

    public MomentEntity() {
        super();
    }

    public MomentEntity(Long dateTime) {
        this();
        this.dateTime = dateTime;
    }

    @Id
    public Long getDateTime() {
        return dateTime;
    }

    public void setDateTime(Long id) {
        this.dateTime = id;
    }

    @OneToMany(mappedBy = "moment", cascade = {CascadeType.REMOVE, CascadeType.DETACH}, fetch = FetchType.LAZY, orphanRemoval = true)
    public List<PointEntity> getPoints() {
        return points;
    }

    public void setPoints(List<PointEntity> points) {
        this.points = points;
    }
}
