package com.reproduce.error;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToOne;

@Entity
@Access(AccessType.PROPERTY)
public class PointEntity implements Serializable {

    private BigInteger x;
    private BigInteger y;
    private long id;
    private MomentEntity moment;
    private ChartEntity chart;

    public PointEntity() {
        super();
    }

    public PointEntity(MomentEntity moment) {
        this();
        setMoment(moment);
    }

    @Id
    @GeneratedValue
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public BigInteger getX() {
        return x;
    }

    public void setX(BigInteger x) {
        this.x = x;
    }

    public BigInteger getY() {
        return y;
    }

    public void setY(BigInteger y) {
        this.y = y;
    }

    @ManyToOne(cascade = CascadeType.ALL, optional = false)
    public MomentEntity getMoment() {
        return moment;
    }

    public final void setMoment(MomentEntity momentPayload) {
        this.moment = momentPayload;
    }

    @ManyToOne
    public ChartEntity getChart() {
        return chart;
    }

    public void setChart(ChartEntity chart) {
        this.chart = chart;
    }
}
