package com.reproduce.error;

import java.io.Serializable;
import java.util.Calendar;
import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Embeddable;

@Embeddable
@Access(AccessType.PROPERTY)
public class TimePeriod implements Serializable {

    private long beginTime;
    private long endTime;
    private String periodType;

    public long getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(long beginTime) {
        this.beginTime = beginTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public String getPeriodType() {
        return periodType;
    }

    public void setPeriodType(String periodType) {
        this.periodType = periodType;
    }

    public Calendar beginCalendar() {
        return asCalenderObject(beginTime);
    }

    public Calendar endCalendar() {
        return asCalenderObject(endTime);
    }

    public void setBeginTime(Calendar c) {
        this.beginTime = c.getTimeInMillis();
    }

    public void setEndTime(Calendar c) {
        this.endTime = c.getTimeInMillis();
    }

    public long length() {
        return getEndTime() - getBeginTime();
    }

    public long lengthInMinutes() {
        return length() / 1000 / 60;
    }

    private Calendar asCalenderObject(long timeInMilliseconds) {
        Calendar c = Calendar.getInstance();
        c.setTimeInMillis(timeInMilliseconds);
        return c;
    }
}
